Bug 113759 - emacs compile warnings in coding.c and eval.c
Summary: emacs compile warnings in coding.c and eval.c
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-17 11:36 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 02:09:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-17 11:36:55 UTC
Description of problem:

I just tried to compile package emacs-21.3-7, from Redhat
Fedora Core 1.

The compiler said

coding.c(4077): warning #165: too few arguments in function call

The source code is

          mask |= detect_coding_iso2022 (src, src_end);

but, earlier in the same file is the source code

static int
detect_coding_iso2022 (src, src_end, multibytep)
     unsigned char *src, *src_end;
     int multibytep;
{

Suggest that the call at line 4077 is missing a parameter.

Suggest also use ISO C prototypes, whch have been around about fifteen
years now. Isn't it time to upgrade ?

2.

eval.c(1192): remark #592: variable "h" is used before its value is set

The source code is

      if (!NILP (h.var))

Suggest init h before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jens Petersen 2004-01-21 08:34:47 UTC
Which compiler are you using btw?

Comment 2 d.binderman 2004-01-21 10:06:31 UTC
>Which compiler are you using btw?

Intel 8.0

It has two advantages over GNU

1. More & better warning messages (see above)

2. Better code generation.


Comment 3 Jens Petersen 2004-04-15 13:46:00 UTC
(1) detect_coding_iso2022 has been fixed in cvs it appears.

(2) appears unchanged in cvs: I suggest reporting it upstream,
eg on emacs-devel list.

Comment 4 Jens Petersen 2004-04-16 02:09:34 UTC
For (2) I got a response on emacs-devel from Andrea Schwab:

"This is bogus, the compiler apparently does not grok _setjmp."


Note You need to log in before you can comment on or make changes to this bug.